Subject: Re: bug#21125: 24.5; flyspell only works with mouse

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Jul 2015 10:33:10 +0300

> From: [email-masked] (N. Jackson)
> Date: Thu, 23 Jul 2015 22:19:48 -0300
> 
> Ah! I find that there is a flyspell-correct-word-before-point, already
> set up with a key binding.
> 
>     flyspell-correct-word-before-point is an interactive compiled Lisp
>     function in `flyspell.el'.
> 
>     It is bound to C-c $.
> 
> Perhaps this could be documented in the manual? Something like:
> 
>     When Flyspell mode highlights a word as misspelled, you can
>     position point on it and type `C-c $' (or click on it with
>     `Mouse-2') to display a menu of possible corrections and actions.

Done.

> Also, this command pops up a graphical menu of options on my system.
> This menu can be navigated fine from the keyboard which is good.
> Nonetheless, it seems a bit incongruous to get a graphical menu in
> response to a command from the keyboard. Might a minibuffer prompt or
> completions list or an interface like the one used for ispell-buffer be
> more appropriate? (I don't know, just asking.)

I see nothing incongruous in popping up a menu in this case, but
patches are welcome for adding an optional non-menu UI in this case.

Thanks.